Glare issue "need more than 1 values to unpack"

Hi all,
I’m working on glare analysis and the function gives me this issue:

Runtime error (ValueErrorException): need more than 1 values to unpack
Traceback:
line 82, in readGlareResults, "<string>"
line 270, in main, "<string>"
line 330, in script

There are no issues with HDR image. I can view and change to false colour. All works fine.
I tried to update the tool, replace manually all components, but nothing has changed.

The lines in Python are as follows:

82 - keys, values = result.strip().split(":")
270 - totalGlareResultDict, possibleNotice = readGlareResults(glareRes)
330 - result = main(HDRImagePath, taskPositionUV, taskPositionAngle_)

I had to strip off nearly the whole model to fit it in 1.5mb to upload here, but it doesn’t change anything in the glare error on my computer.

Would greatly appreciate any help.
Thanks in advance.
181003_Glare_issue.gh (1.4 MB)

Working fine for me:


Normally this error happens when the components are not updated.
I did it. Try the attached.

-A.
181003_Glare_issue_AY.gh (1.4 MB)

Thanks for spending your time, Abraham!
Unfortunately, it didn’t help. And I updated all components before too.

Cheers,
Alex.

Ok, solved!
I updated Daysim, Radiance and Openstudio and it works now.
Not sure if it was, what you recommended to me @AbrahamYezioro, but last week I thought you were talking about updating HB components.
Anyway, all good now.
Cheers
AB

Hi @ale_bog @AbrahamYezioro ! I’m experiencing the same issue with my Indoor Airflow analysis right now (it says more than 2 values are needed to unpack). I’m curious how you updated the components, and with what? Or do you mean just downloading an updated version of LB?
This is how my lines in python read:

        {0;0;0}
  1. Preparing OpenFOAM CASE: indoor_airflow for SteadyIncompressible study…

need more than 2 values to unpack


  1. Traceback (most recent call last):
    File “”, line 80, in
    File “C:\Users\ryanal-schamma\AppData\Roaming\McNeel\Rhinoceros\5.0\scripts\butterfly\solution.py”, line 166, in info
    return self.__get_info()
    File “C:\Users\ryanal-schamma\AppData\Roaming\McNeel\Rhinoceros\5.0\scripts\butterfly\solution.py”, line 185, in _Solution__get_info
    q, ir, fr, ni = line.split(’: Solving for ‘)[1].split(’,’)
    ValueError: need more than 2 values to unpack

You are talking about BF and not LB. Th eupdate process is deifferent for each of them.
For BF, as far as i remember, there is a GH file (maybe called Installer or Updater). You need to go through it.
-A.

Hi @AbrahamYezioro, thanks for the advice. I’ve been digging around but am not finding anything. Would you be able to point me in the right direction? Also, the analysis works for the example file internalized geometry, but just won’t work when I input my own geometry, so would there really be a problem with the solver or is that just a problem with my process?

Check this link. See the link to download the last version from github. In the master folder look for the plugin/grasshopper/examplefiles/installer.gh.

I’m not much of a BF user so far, so can’t comment on your issues.

-A.